### Method

# WebKitWebProcessExtension WebPage get_main_frame

since: 2.2

#### Declaration [src]

    WebKitFrame*
    webkit_web_page_get_main_frame (
      WebKitWebPage* web_page
    )

#### Description [src]

Returns the main frame of a `WebKitWebPage`.

Available since: 2.2

#### Return value

Type: `WebKitFrame`

The `WebKitFrame` that is the main frame of `web_page`.

The returned data is owned by the instance.